> ## Documentation Index
> Fetch the complete documentation index at: https://developers.paychoice.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a charge

Retrieves a charge by its ID. On this endpoint `status_code` is an integer and the surcharge fields are `fee_applied` / `fee_amount` / `original_amount`.

```json 200 theme={null}
{
  "charge": {
    "id": "f33a990c-237c-4e88-9bd1-eb2d655bb88c",
    "reference": "INV-4325454",
    "amount": "10.00",
    "currency": "AUD",
    "status": "Approved",
    "status_code": 0,
    "error": null,
    "error_code": "00",
    "created": "2026-11-04T02:15:31.118Z",
    "fee_applied": "No",
    "fee_amount": 0,
    "original_amount": 0,
    "meta_data_reference": null,
    "link": { "href": "/api/v5/charge/f33a990c-237c-4e88-9bd1-eb2d655bb88c", "rel": "self" }
  },
  "object_type": "charge",
  "from_item": 0,
  "to_item": 0,
  "total_count": 0
}
```

**charge.status\_code** `integer`

`0` Approved, `4` Blocked, `5` Dishonoured, `6` Errored, `9` Processing.

**charge.error\_code** `string`

`"00"` when there is no error.

**charge.fee\_applied** `string`

`Yes` or `No`.

**charge.fee\_amount / original\_amount** `number`

`0` when no surcharge.

Returns `404` if the charge doesn't exist.


## OpenAPI

````yaml GET /api/v5/Charge/{id}
openapi: 3.0.1
info:
  title: Paychoice
  version: v5
servers: []
security:
  - basic: []
paths:
  /api/v5/Charge/{id}:
    get:
      tags:
        - Charge
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    basic:
      type: http
      description: Basic Authorization header using the Bearer scheme.
      scheme: basic

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.